package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 评论表 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-19
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvRequestLogDao;
import com.heyu.api.data.entity.vv.VvRequestLogEntity;
import com.heyu.api.data.service.vv.VvRequestLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvRequestLogServiceImpl extends ServiceImpl<VvRequestLogDao, VvRequestLogEntity> implements VvRequestLogService {


    @Autowired
	private VvRequestLogDao vvRequestLogDao;



	@Override
	public VvRequestLogEntity selectVvRequestLogById(Long id){
		return vvRequestLogDao.selectVvRequestLogById(id);
	}



	@Override
	public Long insertVvRequestLog(VvRequestLogEntity vvRequestLog){
		return vvRequestLogDao.insertVvRequestLog(vvRequestLog);
	}



	@Override
	public Long insertOrUpdateVvRequestLog(VvRequestLogEntity vvRequestLog){
		return vvRequestLogDao.insertOrUpdateVvRequestLog(vvRequestLog);
	}



	@Override
	public int updateVvRequestLogById(VvRequestLogEntity vvRequestLog){
		return vvRequestLogDao.updateVvRequestLogById(vvRequestLog);
	}



	@Override
	public int updateCoverVvRequestLogById(VvRequestLogEntity vvRequestLog){
		return vvRequestLogDao.updateCoverVvRequestLogById(vvRequestLog);
	}



	@Override
	public int deleteVvRequestLogById(Long id){
		return vvRequestLogDao.deleteVvRequestLogById(id);
	}



}
